/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM0.49-1
Display is Hardward I2C 2-Wire I2C Interface 
Tested and worked with:
Works with Arduino 1.6.0 IDE  
Test OK : Arduino DUE,Arduino mega2560,Arduino UNO Board 
****************************************************/
#include <Wire.h>
#include "er_oled.h"

/*
  == Hardware connection for 4 PIN module==
    OLED   =>    Arduino
  *1. GND    ->    GND
  *2. VCC    ->    3.3V
  *3. SCL    ->    SCL
  *4. SDA    ->    SDA
*/
uint8_t oled_buf[WIDTH * HEIGHT / 8];

void setup() {
  Serial.begin(9600);
  Serial.print("OLED Example\n");
  Wire.begin();
  
  /* display an image of bitmap matrix */
  er_oled_begin();
  er_oled_clear(oled_buf);
  er_oled_bitmap(0, 0, PIC1, 64, 32, oled_buf);
  er_oled_display(oled_buf);
  delay(3000);  
  command(0xa7);//--set Negative display 
  delay(3000);
  command(0xa6);//--set normal display
  
  er_oled_clear(oled_buf);
  er_oled_bitmap(0, 0, PIC2, 64, 32, oled_buf);
  er_oled_display(oled_buf);
  delay(3000);
  
  command(0xa7);//--set Negative display 
  delay(3000); 
  command(0xa6);//--set normal display  
  
 er_oled_clear(oled_buf);
  /* display images of bitmap matrix */
  er_oled_bitmap(0, 0, Signal816, 16, 8, oled_buf); 
  er_oled_bitmap(19, 0,Bluetooth88, 8, 8, oled_buf); 
  er_oled_bitmap(30, 0, Msg816, 16, 8, oled_buf); 
  er_oled_bitmap(48, 0, Bat816, 16, 8, oled_buf); 
  er_oled_string(2, 8, "EastRising", 12, 1, oled_buf); 
  er_oled_string(2, 20, "buydisplay", 12, 0, oled_buf);  
   er_oled_display(oled_buf);
  delay(3000); 

  er_oled_clear(oled_buf); 
  er_oled_char(0, 0, '1' ,16, 1, oled_buf);
  er_oled_char(8, 0, '2', 16, 1, oled_buf);
  er_oled_char(16, 0, ':', 16, 1, oled_buf);
  er_oled_char(24, 0, '0', 16, 1, oled_buf);
  er_oled_char(32, 0, '6', 16, 1, oled_buf);
  er_oled_char(40, 0, ':', 16, 1, oled_buf);
  er_oled_char(48, 0, '1', 16, 1, oled_buf);
  er_oled_char(56, 0, '8', 16, 1, oled_buf);
  er_oled_string(2, 20, "buydisplay", 12, 1, oled_buf); 
  er_oled_display(oled_buf);  
}

void loop() {

}
